# File Management

**Module:** `sovai.utils.file_management`

## Functions

### `get_ticker_meta()`

```python
def get_ticker_meta() -> pd.DataFrame
```

Return the tickers metadata, cached for 7 days.

**Returns:** `pd.DataFrame`

***

### `get_codes_meta()`

```python
def get_codes_meta() -> pd.DataFrame
```

Return the codes metadata, cached for 7 days.

**Returns:** `pd.DataFrame`

***

### `update_data_files()`

```python
def update_data_files()
```

Manually pre-warm both ticker and code caches.

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sov.ai/api-reference/utils/file-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
